Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.binding.method
Class MethodSignature

    java.lang.Object
      org.springframework.binding.method.MethodSignature

    public class MethodSignature

extends java.lang.Object

A specification for a method consisting of the methodName and an optional set of named arguments. This class provides the ability to resolve a method with parameters and evaluate its argument values as part of a `method invoker attempt`.

Author:
  Keith Donald, Jeremy Grelle

Constructor Summary
`MethodSignature(java.lang.String methodName)` Creates a method signature with no parameters.
`MethodSignature(java.lang.String methodName, Parameter parameter)` Creates a method signature with a single parameter.
`MethodSignature(java.lang.String methodName, Parameters parameters)` Creates a method signature with a list of parameters.

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`java.lang.String` | `getMethodName()` Returns the method name.
`Parameters` | `getParameters()` Returns the method parameters.
`int` | `hashCode()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MethodSignature

    public MethodSignature(java.lang.String methodName)

  Creates a method signature with no parameters.

  Parameters:
    `methodName` - the name of the method

### MethodSignature

    public MethodSignature(java.lang.String methodName,
                           Parameter parameter)

  Creates a method signature with a single parameter.

  Parameters:
    `methodName` - the name of the method
    `parameter` - the method parameter

### MethodSignature

    public MethodSignature(java.lang.String methodName,
                           Parameters parameters)

  Creates a method signature with a list of parameters.

  Parameters:
    `methodName` - the name of the method
    `parameters` - the method parameters

Method Detail

### getMethodName

    public java.lang.String getMethodName()

  Returns the method name.

### getParameters

    public Parameters getParameters()

  Returns the method parameters.

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD